@import "src/styles/variables";

$form-padding: 12px;

.form-group {
  &__container {
    margin: ($form-padding * 2) 0 $form-padding;
  }

  &__label {
    white-space: nowrap;
  }

  &__input {
    width: 100%;
    border-radius: 24px;
    border: 1px solid $color-grey-light;
    height: 48px;
    padding-left: $form-padding * 2;
    padding-right: 8px;
    margin: $form-padding 0;
    outline: none;
    transition: border 500ms cubic-bezier(0.1, 0.6, 0.4, 1);

    &.ng-invalid.ng-dirty,
    &.ng-invalid.ng-touched {
      border-color: $color-error;
    }

    &:focus {
      border-color: $color-grey;
    }
  }


  &__input-field {
    position: relative;
  }

  &__required-label {
    color: $color-error;
  }

  &__error {
    color: $color-error;
    top: -12px;
    font-size: $font-size-s;
    font-style: italic;
    margin-left: $form-padding * 2;
  }
}
